## org.eclipse.datatools.connectivity.oda.consumer.util.manifest
Class DriverExtensionManifest

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.consumer.util.manifest.DriverExtensionManifest

    public class DriverExtensionManifest

extends java.lang.Object

Encapsulates access to the manifest content of an ODA consumer helper driverBridge extension.

Method Summary
`java.lang.String` `getBridgeDataSourceId()` Returns the oda data source id of the driver bridge plugin extension that implements the ODA datasource extension point.
`java.lang.String` `getDriverType()` Returns the driver type for which a driver bridge extension is implemented.
`java.lang.String` `getNamespace()` Returns the namespace of the plugin that contributes this extension.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Returns the namespace of the plugin that contributes this extension.

  Returns:

### getDriverType

    public java.lang.String getDriverType()

  Returns the driver type for which a driver bridge extension is implemented.

  Returns:

### getBridgeDataSourceId

    public java.lang.String getBridgeDataSourceId()

  Returns the oda data source id of the driver bridge plugin extension that implements the ODA datasource extension point.

  Returns:

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.